Robot Simulator of the Robotics Group for Self-Organization of Control: TwoAxisServoCentered Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TwoAxisServoCentered Class Reference

general servo motor for 2 axis joints with zero position centered More...

`#include <twoaxisservo.h>`

Inherits TwoAxisServo.

Inherited by TwoAxisServoVel.

Inheritance diagram for TwoAxisServoCentered:

[legend]
Collaboration diagram for TwoAxisServoCentered:

[legend]
List of all members.

## Public Member Functions
| TwoAxisServoCentered (TwoAxisJoint *joint, double _min1, double _max1, double power1, double _min2, double _max2, double power2, double damp=0.2, double integration=2, double maxVel=10.0, double jointLimit=1.3)
| min and max values are understood as travel bounds.
virtual | ~TwoAxisServoCentered ()
virtual void | set (double pos1, double pos2)
| sets the set point of the servo.
virtual double | get1 ()
| returns the position of the servo (joint) of 1.
virtual double | get2 ()
| returns the position of the servo (joint) of 2.

## Detailed Description

general servo motor for 2 axis joints with zero position centered

## Constructor & Destructor Documentation

TwoAxisServoCentered | ( | TwoAxisJoint * | joint,
|  | double | _min1,
|  | double | _max1,
|  | double | power1,
|  | double | _min2,
|  | double | _max2,
|  | double | power2,
|  | double | damp = `0.2`,
|  | double | integration = `2`,
|  | double | maxVel = `10.0`,
|  | double | jointLimit = `1.3` |
| ) |  |  | `[inline]`

min and max values are understood as travel bounds.

The zero position is max-min/2

virtual ~TwoAxisServoCentered | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual double get1 | ( |  | ) | `[inline, virtual]`

returns the position of the servo (joint) of 1.

axis in ranges [-1, 1] (scaled by min1, max1, centered)

Reimplemented from TwoAxisServo.

virtual double get2 | ( |  | ) | `[inline, virtual]`

returns the position of the servo (joint) of 2.

axis in ranges [-1, 1] (scaled by min2, max2, centered)

Reimplemented from TwoAxisServo.

virtual void set | ( | double | pos1,
|  | double | pos2 |
| ) |  |  | `[inline, virtual]`

sets the set point of the servo.

Position must be between -1 and 1. It is scaled to fit into min, max, however 0 is just in the center of min and max

Reimplemented from TwoAxisServo.

Reimplemented in TwoAxisServoVel.

The documentation for this class was generated from the following file:

- twoaxisservo.h